Index: branches/new_class_id/src/lib/lang/object_list.cc
===================================================================
--- branches/new_class_id/src/lib/lang/object_list.cc	(revision 9716)
+++ branches/new_class_id/src/lib/lang/object_list.cc	(revision 9716)
@@ -0,0 +1,310 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2006 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "object_list.h"
+#include <cassert>
+
+
+#include <stdio.h>
+
+/**
+ * @brief Constructor, that creates an ObjectList while checking (development mode) for uniqueness of all Keys (names and ID's)
+ * @param className The Name of the Class to create an ObjectList for.
+ * @param id The ID if you like, or -1 otherwise.
+ * @return a new NewObejctList
+ */
+ObjectListBase::ObjectListBase(const std::string& className, int id)
+    : _name(className)
+{
+  printf("ObjectList, Registered %s::%d\n", className.c_str(), id);
+  if (ObjectListBase::_classesByID == NULL)
+  {
+    ObjectListBase::_classesByID = new classIDMap;
+    assert (ObjectListBase::_classesByName == NULL);
+    ObjectListBase::_classesByName = new classNameMap;
+  }
+  assert(!ObjectListBase::classNameExists(className) && "Classes should only be included once, and no two classes should have the same name (key value)");
+
+  if (id == -1)
+  {
+    id = ObjectListBase::_classesByID->size();
+    // searching for a free ID
+    while (ObjectListBase::classIDExists(id)) ++id;
+  }
+  assert(!ObjectListBase::classIDExists(id) && "Classes should only be included once, and no two classes should have the same ID (key value)");
+
+  _id = id;
+  /// Some Output, that will fall out later
+  std::cout << "register new ObjectList " << className << " ID: " << this->_id << std::endl;
+
+  this->_identity = ClassID(this);
+  (*ObjectListBase::_classesByID)[this->_identity.id()] = this;
+  (*ObjectListBase::_classesByName)[this->_identity.name()] = this;
+}
+
+
+/**
+ * Destructor.
+ *
+ * This destructor deletes the ObjectList, and cleans up the ObjectList sorted Maps.
+ */
+ObjectListBase::~ObjectListBase()
+{
+  assert (ObjectListBase::_classesByName != NULL && ObjectListBase::_classesByID != NULL);
+  /*
+  std::cout << "Erasing: " << this->_name << " "<< this->_id  << std::endl;
+  std::cout << "SIZE OF _classByID: " << ObjectListBase::_classesByID->size() << std::endl;
+  std::cout << "SIZE OF _classByName: " << ObjectListBase::_classesByName->size() << std::endl;
+  */
+  ObjectListBase::_classesByID->erase(this->_identity.id());
+  ObjectListBase::_classesByName->erase(this->_identity.name());
+
+  if (ObjectListBase::_classesByID->empty())
+  {
+    delete ObjectListBase::_classesByID;
+    ObjectListBase::_classesByID = NULL;
+    assert(ObjectListBase::_classesByName != NULL);
+    delete ObjectListBase::_classesByName;
+    ObjectListBase::_classesByName = NULL;
+  }
+}
+
+ObjectListBase::classIDMap* ObjectListBase::_classesByID = NULL;
+ObjectListBase::classNameMap* ObjectListBase::_classesByName = NULL;
+
+/**
+ * @returns the Registered Class Count.
+ */
+unsigned int ObjectListBase::classCount()
+{
+  assert (ObjectListBase::_classesByID != NULL);
+  return ObjectListBase::_classesByID->size();
+};
+
+/**
+ * @brief Checks if a Class with name already exists.
+ * @param name The Name of the Class to check.
+ * @return true if such a class already exists.
+ */
+bool ObjectListBase::classIDExists(int id)
+{
+  return (ObjectListBase::_classesByID->find(id) != ObjectListBase::_classesByID->end());
+}
+
+/**
+ * @brief Checks if a Class with name already exists.
+ * @param name The Name of the Class to check.
+ * @return true if such a class already exists.
+ */
+bool ObjectListBase::classNameExists(const std::string& name)
+{
+  return (ObjectListBase::_classesByName->find(name) != ObjectListBase::_classesByName->end());
+}
+
+/**
+ * @brief searches for a ClassID in the list of all ObjectLists, and returns its Identity
+ * @param id: The Id to search for
+ * @returns the ClassID if found and NullClass' identity if not.
+ */
+const ClassID& ObjectListBase::retrieveIdentity(int id)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(id);
+
+  if (base != NULL)
+    return base->_identity;
+  else
+    return NullClass::classID();
+}
+
+
+/**
+ * @brief searches for a ClassID in the list of all ObjectLists, and returns its Identity
+ * @param name: The Name to search for
+ * @returns the ClassID if found and NullClass' identity if not.
+ */
+const ClassID& ObjectListBase::retrieveIdentity(const std::string& name)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(name);
+
+  if (base != NULL)
+    return base->_identity;
+  else
+    return NullClass::classID();
+}
+
+
+/**
+ * @brief Searches for a ObjectList with the ID classID
+ * @param classID the ID to search for.
+ * @return The ObjectList if found, NULL otherwise.
+ */
+const ObjectListBase* const ObjectListBase::getObjectList(int classID)
+{
+  assert (ObjectListBase::_classesByID != NULL);
+  ObjectListBase::classIDMap::iterator it = ObjectListBase::_classesByID->find(classID);
+  if (it != ObjectListBase::_classesByID->end())
+    return (*it).second;
+  else
+    return NULL;
+}
+
+/**
+ * @brief Searches for a ObjectList with the Name className
+ * @param className the Name to search for.
+ * @return The ObjectList if found, NULL otherwise.
+ */
+const ObjectListBase* const ObjectListBase::getObjectList(const std::string& className)
+{
+  assert (ObjectListBase::_classesByName != NULL);
+  ObjectListBase::classNameMap::iterator it = ObjectListBase::_classesByName->find(className);
+  if (it != ObjectListBase::_classesByName->end())
+    return (*it).second;
+  else
+    return NULL;
+}
+
+/**
+ * @brief Searches for a ObjectList with the ClassID classID
+ * @param classID the ID to search for.
+ * @return The ObjectList if found, NULL otherwise.
+ */
+const ObjectListBase* const ObjectListBase::getObjectList(const ClassID& classID)
+{
+  return ObjectListBase::getObjectList(classID.id());
+}
+
+/**
+ * @brief Retrieves the first BaseObject matching the name objectName from the List matching classID.
+ * @param classID the ID of the List.
+ * @param objectName the Name of the Object to search for
+ */
+BaseObject* ObjectListBase::getBaseObject(int classID, const std::string& objectName)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(classID);
+
+  if (base != NULL)
+    return base->getBaseObject(objectName);
+  else
+    return NULL;
+}
+
+/**
+ * @brief Retrieves the first BaseObject matching the name objectName from the List matching className.
+ * @param className the Name of the List.
+ * @param objectName the Name of the Object to search for
+ */
+BaseObject* ObjectListBase::getBaseObject(const std::string& className, const std::string& objectName)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(className);
+
+  if (base != NULL)
+    return base->getBaseObject(objectName);
+  else
+    return NULL;
+}
+
+/**
+ * @brief Retrieves the first BaseObject matching the name objectName from the List matching classID.
+ * @param classID The ClassID of the List.
+ * @param objectName the Name of the Object to search for
+ */
+BaseObject* ObjectListBase::getBaseObject(const ClassID& classID, const std::string& objectName)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(classID);
+
+  if (base != NULL)
+    return base->getBaseObject(objectName);
+  else
+    return NULL;
+}
+
+#include "base_object.h"
+
+/**
+ * @brief Prints out some debugging information about a given List.
+ */
+void ObjectListBase::debug(unsigned int level) const
+{
+  base_list list;
+  this->getBaseObjectList(&list);
+
+  if (level > 1 || !list.empty())
+    printf(" ObjectList of class %s(id:%d) contains %d objects\n", this->name().c_str(), this->id(), list.size());
+
+  if (level >= 2)
+  {
+    printf("  - listing Instances: \n");
+    for (base_iterator it = list.begin();
+         it != list.end();
+         ++it)
+    {
+      printf("   + %s::%s\n", (*it)->getClassCName(), (*it)->getCName());
+    }
+  }
+}
+
+
+void ObjectListBase::debugAll(unsigned int level)
+{
+  printf("Listing all %d ObjectLists \n", ObjectListBase::_classesByID->size());
+
+  for (classNameMap::const_iterator it = ObjectListBase::_classesByName->begin();
+       it != ObjectListBase::_classesByName->end();
+       ++it)
+  {
+    (*it).second->debug(level);
+
+  }
+
+}
+
+
+
+/**
+ * @brief Converts an ID into a ClassName String.
+ * @param classID The ID to convert.
+ * @return The ClassName or an empty string if the ID was not found.
+ */
+const std::string& ObjectListBase::IDToString(int classID)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(classID);
+
+  if (base != NULL)
+    return base->name();
+  else
+  {
+    static std::string empty;
+    return empty;
+  }
+}
+
+
+/**
+ * @brief Converts a String into an ID
+ * @param className the Name of the Class to search for
+ * @return The Classes ID if found, -1 otherwise.
+ */
+int ObjectListBase::StringToID(const std::string& className)
+{
+  const ObjectListBase* const base = ObjectListBase::getObjectList(className);
+
+  if (base != NULL)
+    return base->id();
+  else
+    return -1;
+}
+
Index: branches/new_class_id/src/lib/lang/object_list.h
===================================================================
--- branches/new_class_id/src/lib/lang/object_list.h	(revision 9716)
+++ branches/new_class_id/src/lib/lang/object_list.h	(revision 9716)
@@ -0,0 +1,333 @@
+/*!
+ * @file object_list.h
+ * @brief Definition of a dynamically allocating ClassID
+ *
+ */
+
+#ifndef _OBJECT_LIST_H
+#define _OBJECT_LIST_H
+
+#include "class_id.h"
+#include <cassert>
+#include <map>
+#include <list>
+#include <string>
+#include <iostream>
+
+/**
+ * @brief Use this macro to easily declare a Class to store its own ObjectListDeclaration
+ * @param ClassName the Name of the Class.
+ * @note: Using this inside of a Class means, that you loose the member: _objectList, while defining
+ * two new functions objectList() and classID().
+ */
+#define ObjectListDeclaration(ClassName) \
+  public: \
+   static inline const ObjectList<ClassName>& objectList() { return ClassName::_objectList; }; \
+   static inline const ClassID& classID() { return ClassName::_objectList.identity(); }; \
+  private: \
+   static ObjectList<ClassName> _objectList
+
+#define ObjectListDefinitionID(ClassName, ID) \
+   ObjectList<ClassName> ClassName::_objectList(#ClassName, ID)
+
+
+#define ObjectListDefinition(ClassName) \
+    ObjectListDefinitionID(ClassName, -1)
+
+class BaseObject;
+//! The superclass that all ObjectLists follow.
+/**
+ * @see template<class T> ObjectList<T>
+ */
+class ObjectListBase
+{
+public:
+  //! A fast iterator Base-Class, for iterator-casting and storing.
+  /**
+   * @note This Iterator is explicitely used only for storage purposes in the BaseObject
+   */
+  class IteratorBase { };
+
+  /** @brief A Typedefinition for the Base-List that can be retrieved with getBaseObjectList(base_list*) */
+  typedef std::list<BaseObject*>        base_list;
+  /** @brief An iterator for the base_list */
+  typedef base_list::iterator           base_iterator;
+
+public:
+  /** @returns The Identity of the Class stored within. */
+  inline const ClassID&              identity() const { return _identity; }
+  /** @returns the ID of the Identity of the ObjectList */
+  inline int                            id() const { return _id; };
+  /** @returns The Name of the Class stored in this ObjectList */
+  inline const std::string&             name() const { return _name; };
+  /** @param id The id to compare @returns true on match, false otherwise */
+  inline bool                           operator==(int id) const { return _id == id; };
+  /** @param id The id to compare @returns true on match, false otherwise */
+  inline bool                           operator==(const ClassID& id) const { return id == _id; };
+  /** @param name The name to compare @returns true on match, false otherwise */
+  inline bool                           operator==(const std::string& name) const { return _name == name; };
+  /** @param id The id to check @returns true on match, false otherwise */
+  inline void                           acquireID(const int*& id, const std::string*& name) const { id = &_id; name = &_name; };
+  /** @brief fills a list of Objects into a BaseObject*-List. @param list the list to fill */
+  virtual void                          getBaseObjectList(base_list* list) const = 0;
+
+  static const ClassID&              retrieveIdentity(int id);
+  static const ClassID&              retrieveIdentity(const std::string& name);
+
+  static const ObjectListBase* const getObjectList(int classID);
+  static const ObjectListBase* const getObjectList(const std::string& className);
+  static const ObjectListBase* const getObjectList(const ClassID& classID);
+
+  static BaseObject*                    getBaseObject(int classID, const std::string& objectName);
+  static BaseObject*                    getBaseObject(const std::string& className, const std::string& objectName);
+  static BaseObject*                    getBaseObject(const ClassID& classID, const std::string& objectName);
+
+  /** @returns an Object with Name name out of this List @param name the name of the Object. */
+  virtual BaseObject*                   getBaseObject(const std::string& name) const = 0;
+
+  static const std::list<std::string>&  getClassNames();
+
+
+  static unsigned int                   classCount();
+  void                                  debug(unsigned int level) const;
+  static void                           debugAll(unsigned int level);
+
+  static const std::string&             IDToString(int classID);
+  static int                            StringToID(const std::string& className);
+
+  //! Only uset to unsubscribe a BaseObject.
+  virtual void                          unregisterObject(IteratorBase* _iterators) = 0;
+
+protected:
+  ObjectListBase(const std::string& className, int id = -1);
+  virtual ~ObjectListBase();
+
+private:
+  ObjectListBase(const ObjectListBase&);
+
+  static bool                         classIDExists(int id);
+  static bool                         classNameExists(const std::string& className);
+
+
+protected:
+  typedef std::map<int, ObjectListBase*>         classIDMap;   //!< The Generic Map.
+  typedef std::map<std::string, ObjectListBase*> classNameMap; //!< The Generic Map.
+
+private:
+  int                           _id;
+  const std::string             _name;              //!< The Name of the Class.
+  ClassID                    _identity;          //!< The Identity of the Class. (equal to _id and _name)
+
+private:
+  static classIDMap*            _classesByID;       //!< A Map of all the classes in existance.
+  static classNameMap*          _classesByName;     //!< A Map of all the classes in existance.
+  static std::list<std::string> _classNames;        //!< A list of all the registered ClassNames.
+};
+
+
+/////////////////////////
+//// TEMPLATISATION /////
+/////////////////////////
+//! Defines a ObjectsList handler for objects of type T.
+/**
+ * The ObjectList is a generic way to store every object created from a Class 'T'
+ *  into a List. The list can be retrieved, and used constantly over iterators,
+ *  as with normal std::list.
+ *
+ * Furthermore the linkage over the single Lists is given over the Superclass ObjectListBase.
+ *
+ *
+ *
+ *
+ * To define a Class with a ObjectList, you have to:
+ *  1. Include 'ObjectListDeclaration(T);' in its Declaration (at the beginning)
+ *  2. Include 'ObjectListDefinition(T);' in some Definition file (cc-file)
+ *  3. In the constructor add 'registerObject(this, objectList);'
+ *
+ * @note The Class must define the compare with const std::string& operator for this to work.
+ *
+ *
+ *
+ * Limitations:
+ *  ObjectList cannot be used with other Factory style Classes, if the class is also a BaseObject,
+ *   and not loaded before the ObjectList.
+ *
+ * @example Iterating: Iteration is made easy, and fast as follows:
+ *   for (ObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
+ *      it != PlayerStats::objectList().end();
+ *     ++it)
+ *   {
+ *    (*it)->dosomething
+ *   }
+ *
+ * @example Find an Object:
+ * Playable* playable = Playable::objectList("orxonox-super-rocket-fighter"); // searches an Object By its name.
+ *
+ */
+template<class T>
+class ObjectList : public ObjectListBase
+{
+public:
+  typedef std::list<T*>                  list;
+  typedef typename list::iterator        iterator;
+  typedef typename list::const_iterator  const_iterator;
+
+
+class Iterator : public ObjectListBase::IteratorBase
+  {
+  public:
+    Iterator(iterator it) { _it = it; }
+    inline iterator& it() { return _it; }
+    typename ObjectList::iterator _it;
+  };
+
+public:
+  ObjectList(const std::string& name, int id = -1);
+  ~ObjectList();
+
+  virtual BaseObject*                getBaseObject(const std::string& name) const;
+  T*                                 getObject(const std::string& name) const;
+  inline const list&                 objects() const { return _objects; };
+  bool                               exists(const T* const object) const;
+
+  /** @returns an Iterator to the beginning of the List. */
+  inline iterator                    begin() { return _objects.begin(); };
+  /** @returns a constant Iterator to the beginning of the List. */
+  inline const_iterator              begin() const { return _objects.begin(); };
+  /** @returns an Iterator to the end of the List. */
+  inline iterator                    end() { return _objects.end(); };
+  /** @returns a constant Iterator to the beginning of the List. */
+  inline const_iterator              end() const { return _objects.end(); };
+
+  /** @returns true if the List is empty. */
+  inline bool                        empty() const { return _objects.empty(); };
+  /** @returns the size of the List */
+  inline int                         size() const { return _objects.size(); };
+  /** @returns the frontmost Element of the list (normaly the last added Object). */
+  inline T*                          front() const { return _objects.front(); };
+  /** @returns the last added Object */
+  inline T*                          back() const { return _objects.back(); };
+
+
+  ObjectListBase::IteratorBase*   registerObject(T* object);
+  virtual void                       unregisterObject(IteratorBase* iterator);
+
+protected:
+  virtual void                       getBaseObjectList(ObjectListBase::base_list* list) const;
+
+
+private:
+  //! the copy constructor will be hidden.
+  ObjectList(const ObjectList& definer) {};
+
+private:
+  list                _objects;     //!< The List of stored Objects of Type T.
+};
+
+
+
+
+
+/////////////////////////
+//// IMPLEMENTATION /////
+/////////////////////////
+/**
+ * @brief creates a new ObjectList
+ * @param name The name of the Class.
+ * @param id The ID of the class if desired, or -1 if an id should be assigned automatically.
+ */
+template <class T>
+ObjectList<T>::ObjectList(const std::string& name, int id)
+    : ObjectListBase(name, id)
+{}
+
+/**
+ * @brief deletes the ObjectList.
+ */
+template <class T>
+ObjectList<T>::~ObjectList()
+{
+  if (!_objects.empty())
+  {
+    // std::cout << "There are " << this->size() << " objects from class " << this->name() << "(id:" << this->id() << ") in existance\n";
+  }
+}
+
+/**
+ * @brief Retrieves a BaseObject matching the Name name in this List.
+ * @param name the Name of the Object.
+ * @returns a BaseObject pointing to the object if found, NULL otherwise.
+ */
+template <class T>
+BaseObject* ObjectList<T>::getBaseObject(const std::string& name) const
+{
+  return this->getObject(name);
+}
+
+
+
+/**
+ * @brief Retrieves an Object of type T matching the Name name in this List.
+ * @param name the Name of the Object.
+ * @returns an Object of type T pointing to the object if found, NULL otherwise.
+ */
+template <class T>
+T* ObjectList<T>::getObject(const std::string& name) const
+{
+  const_iterator it;
+  for (it = this->_objects.begin(); it != this->_objects.end(); ++it)
+    if ((*it)->getName() == name)
+      return (*it);
+  return NULL;
+}
+
+/**
+ * @brief checks if Object object exists in this ClassList.
+ * @param object the Object to check for
+ * @returns True if the object is found within the List, false otherwise
+ */
+template <class T>
+    bool ObjectList<T>::exists(const T* const object) const
+{
+  return (std::find(_objects.begin(), _objects.end(), object) != _objects.end());
+}
+
+
+/**
+ * @brief retrieves a List of BaseObjects
+ * @param list the list to push the ObjectList into.
+ */
+template <class T>
+void ObjectList<T>::getBaseObjectList(ObjectListBase::base_list* list) const
+{
+  assert (list != NULL);
+  const_iterator it;
+  for (it = this->_objects.begin(); it != this->_objects.end(); ++it)
+    list->push_back(*it);
+}
+
+
+/**
+ * @brief registers an Object to the ObjectList.
+ * @param T object the Object to register.
+ * @returns a pointer to the iterator inside of the list.
+ */
+template <class T>
+ObjectListBase::IteratorBase* ObjectList<T>::registerObject(T* object)
+{
+  this->_objects.push_back(object);
+  return new Iterator(--this->_objects.end());
+}
+
+/**
+ * @brief removes an Object from the ClassList.
+ * @param iterator the Position at which to remove the Object.
+ */
+template <class T>
+void ObjectList<T>::unregisterObject(IteratorBase* iterator)
+{
+  this->_objects.erase(static_cast<Iterator*>(iterator)->it());
+  //_objects.erase(std::find(_objects.begin(), _objects.end(), object));
+}
+
+#endif /* _OBJECT_LIST_H */
Index: branches/new_class_id/src/lib/lang/test_object_list.cc
===================================================================
--- branches/new_class_id/src/lib/lang/test_object_list.cc	(revision 9715)
+++ branches/new_class_id/src/lib/lang/test_object_list.cc	(revision 9716)
@@ -1,4 +1,4 @@
-#include "new_class_id.h"
-#include "new_object_list.h"
+#include "class_id.h"
+#include "object_list.h"
 #include <iostream>
 
Index: branches/new_class_id/src/lib/network/network_stream.cc
===================================================================
--- branches/new_class_id/src/lib/network/network_stream.cc	(revision 9715)
+++ branches/new_class_id/src/lib/network/network_stream.cc	(revision 9716)
@@ -1194,5 +1194,5 @@
           }
           else
-	    ; /// FIXME NEW_CLASS_ID :: b = Factory::fabricate( leafClassId );
+	    ; /// FIXME CLASS_ID :: b = Factory::fabricate( leafClassId );
 
           if ( !b )
Index: branches/new_class_id/src/lib/network/player_stats.cc
===================================================================
--- branches/new_class_id/src/lib/network/player_stats.cc	(revision 9715)
+++ branches/new_class_id/src/lib/network/player_stats.cc	(revision 9716)
@@ -30,5 +30,5 @@
 #include "shell_command.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 
 ObjectListDefinitionID(PlayerStats, CL_PLAYER_STATS);
Index: branches/new_class_id/src/lib/particles/box_emitter.cc
===================================================================
--- branches/new_class_id/src/lib/particles/box_emitter.cc	(revision 9715)
+++ branches/new_class_id/src/lib/particles/box_emitter.cc	(revision 9716)
@@ -24,5 +24,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 
 ObjectListDefinitionID(BoxEmitter, CL_BOX_EMITTER);
Index: branches/new_class_id/src/lib/particles/dot_emitter.cc
===================================================================
--- branches/new_class_id/src/lib/particles/dot_emitter.cc	(revision 9715)
+++ branches/new_class_id/src/lib/particles/dot_emitter.cc	(revision 9716)
@@ -26,5 +26,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(DotEmitter, CL_DOT_EMITTER);
 CREATE_FACTORY(DotEmitter);
Index: branches/new_class_id/src/lib/particles/dot_particles.cc
===================================================================
--- branches/new_class_id/src/lib/particles/dot_particles.cc	(revision 9715)
+++ branches/new_class_id/src/lib/particles/dot_particles.cc	(revision 9716)
@@ -24,5 +24,5 @@
 #include "shell_command.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 
 ObjectListDefinitionID(DotParticles, CL_DOT_PARTICLES);
Index: branches/new_class_id/src/lib/particles/model_particles.cc
===================================================================
--- branches/new_class_id/src/lib/particles/model_particles.cc	(revision 9715)
+++ branches/new_class_id/src/lib/particles/model_particles.cc	(revision 9716)
@@ -24,5 +24,5 @@
 #include "shell_command.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 
 ObjectListDefinitionID(ModelParticles, CL_MODEL_PARTICLES);
Index: branches/new_class_id/src/lib/particles/plane_emitter.cc
===================================================================
--- branches/new_class_id/src/lib/particles/plane_emitter.cc	(revision 9715)
+++ branches/new_class_id/src/lib/particles/plane_emitter.cc	(revision 9716)
@@ -24,5 +24,5 @@
 #include "debug.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 
 ObjectListDefinitionID(PlaneEmitter, CL_PLANE_EMITTER);
Index: branches/new_class_id/src/lib/particles/spark_particles.cc
===================================================================
--- branches/new_class_id/src/lib/particles/spark_particles.cc	(revision 9715)
+++ branches/new_class_id/src/lib/particles/spark_particles.cc	(revision 9716)
@@ -24,5 +24,5 @@
 #include "shell_command.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 
 ObjectListDefinitionID(SparkParticles, CL_SPARK_PARTICLES);
Index: branches/new_class_id/src/lib/particles/sprite_particles.cc
===================================================================
--- branches/new_class_id/src/lib/particles/sprite_particles.cc	(revision 9715)
+++ branches/new_class_id/src/lib/particles/sprite_particles.cc	(revision 9716)
@@ -24,5 +24,5 @@
 #include "shell_command.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 
 ObjectListDefinitionID(SpriteParticles, CL_SPRITE_PARTICLES);
Index: branches/new_class_id/src/lib/physics/fields/gravity.cc
===================================================================
--- branches/new_class_id/src/lib/physics/fields/gravity.cc	(revision 9715)
+++ branches/new_class_id/src/lib/physics/fields/gravity.cc	(revision 9716)
@@ -21,5 +21,5 @@
 #include "util/loading/factory.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Gravity, CL_FIELD_GRAVITY);
 
Index: branches/new_class_id/src/lib/physics/fields/point_gravity.cc
===================================================================
--- branches/new_class_id/src/lib/physics/fields/point_gravity.cc	(revision 9715)
+++ branches/new_class_id/src/lib/physics/fields/point_gravity.cc	(revision 9716)
@@ -20,5 +20,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(PointGravity, CL_FIELD_POINT_GRAVITY);
 
Index: branches/new_class_id/src/lib/physics/fields/twirl.cc
===================================================================
--- branches/new_class_id/src/lib/physics/fields/twirl.cc	(revision 9715)
+++ branches/new_class_id/src/lib/physics/fields/twirl.cc	(revision 9716)
@@ -20,5 +20,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(Twirl, CL_FIELD_TWIRL);
 
Index: branches/new_class_id/src/lib/physics/physics_connection.cc
===================================================================
--- branches/new_class_id/src/lib/physics/physics_connection.cc	(revision 9715)
+++ branches/new_class_id/src/lib/physics/physics_connection.cc	(revision 9716)
@@ -27,5 +27,5 @@
 #include "util/loading/load_param.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinition(PhysicsConnection);
 CREATE_FACTORY(PhysicsConnection);
Index: branches/new_class_id/src/lib/util/loading/fast_factory.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/fast_factory.h	(revision 9715)
+++ branches/new_class_id/src/lib/util/loading/fast_factory.h	(revision 9716)
@@ -33,5 +33,5 @@
  * Creates a FastFactory for a Class' static function named ClassName::fastFactory.
  * @param CLASS_NAME the name of the Class to create the fast-factory for.
- * @param CLASS_ID the ID of the class to create the fast-factory for @see "class_id.h"
+ * @param CLASS_ID the ID of the class to create the fast-factory for @see "class_id_DEPRECATED.h"
  *
  * notice, that the Class to be called, must implement:
Index: branches/new_class_id/src/story_entities/menu/game_menu.cc
===================================================================
--- branches/new_class_id/src/story_entities/menu/game_menu.cc	(revision 9715)
+++ branches/new_class_id/src/story_entities/menu/game_menu.cc	(revision 9716)
@@ -42,5 +42,5 @@
 #include "preferences.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 //! This creates a Factory to fabricate a GameMenu
 ObjectListDefinitionID(GameMenu, CL_GAME_MENU);
Index: branches/new_class_id/src/story_entities/movie_loader.cc
===================================================================
--- branches/new_class_id/src/story_entities/movie_loader.cc	(revision 9715)
+++ branches/new_class_id/src/story_entities/movie_loader.cc	(revision 9716)
@@ -25,5 +25,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 ObjectListDefinitionID(MovieLoader, CL_MOVIE_LOADER);
 CREATE_FACTORY(MovieLoader);
Index: branches/new_class_id/src/story_entities/multi_player_world.cc
===================================================================
--- branches/new_class_id/src/story_entities/multi_player_world.cc	(revision 9715)
+++ branches/new_class_id/src/story_entities/multi_player_world.cc	(revision 9716)
@@ -36,5 +36,5 @@
 SHELL_COMMAND(debug, MultiPlayerWorld, debug);
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 //! This creates a Factory to fabricate a MultiPlayerWorld
 ObjectListDefinitionID(MultiPlayerWorld, CL_MULTI_PLAYER_WORLD);
Index: branches/new_class_id/src/story_entities/single_player_world.cc
===================================================================
--- branches/new_class_id/src/story_entities/single_player_world.cc	(revision 9715)
+++ branches/new_class_id/src/story_entities/single_player_world.cc	(revision 9716)
@@ -29,5 +29,5 @@
 
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 //! This creates a Factory to fabricate a SinglePlayerWorld
 ObjectListDefinitionID(SinglePlayerWorld, CL_SINGLE_PLAYER_WORLD);
Index: branches/new_class_id/src/subprojects/network/simple_sync.cc
===================================================================
--- branches/new_class_id/src/subprojects/network/simple_sync.cc	(revision 9715)
+++ branches/new_class_id/src/subprojects/network/simple_sync.cc	(revision 9716)
@@ -22,5 +22,5 @@
 #include "simple_sync.h"
 
-#include "class_id.h"
+#include "class_id_DEPRECATED.h"
 #include "loading/fast_factory.h"
 #include "lib/util/loading/factory.h"
